function [iRis,iFal]=levelcross(y,level=0,yHyst=0,xDeadZone=0)
  ySpan = max(y)-min(y);
  level *= ySpan;
  y = y - level;
  yHystHalf = ySpan*yHyst/2;
  iCross = []; isRis = [];
  iy = 1;
  while (y(iy) >= -yHystHalf && y(iy) <= yHystHalf)
    iy++;
  endwhile
  iyPrev = iy;
  for iy=[iyPrev+1:length(y)]
    if (y(iyPrev) < -yHystHalf && y(iy) > yHystHalf)
      iCross = [iCross iy];
      isRis = [isRis 1];
      iyPrev = iy;
    elseif (y(iyPrev) > yHystHalf && y(iy) < -yHystHalf)
      iCross = [iCross iy];
      isRis = [isRis 0];
      iyPrev = iy;
    endif
  endfor
  
  if (xDeadZone > 0)
    iRis = iCross(isRis==1);
    iFal = iCross(isRis==0);
    diffThr = xDeadZone * max([diff(iRis) diff(iFal)]);
    diffs=diff(iCross);
    diffsOver = (diffs >= diffThr);
    diffsOver = [diffsOver(1) diffsOver];
    iCross = iCross(diffsOver);
    isRis = isRis(diffsOver);
  endif
  
  iRis = iCross(isRis==1);
  iFal = iCross(isRis==0);
  
  if (0)
    figure(); hold on;
    plot(y+level);
    plot([1 length(y)], [level level], "-r");
    plot([1 length(y)], [level+yHystHalf level+yHystHalf], ":r");
    plot([1 length(y)], [level-yHystHalf level-yHystHalf], ":r");
    for ic=[1:length(iRis)]
      plot([iRis(ic) iRis(ic)], [min(y) max(y)]+level, ":g");
    endfor
    for ic=[1:length(iFal)]
      plot([iFal(ic) iFal(ic)], [min(y) max(y)]+level, ":m");
    endfor
  endif
endfunction
