function oscplotch(OscRecord,ch,toffset=0,ymult=1,yoffset=0,labels=[],label="")
  if (!isnumeric(ch))
    ch = oscchnum(OscRecord, ch);
  endif
  Params = OscRecord.Channels(ch).Params;
  if (strcmp(label,""))
    wfmLabel = Params.label;
    if (yoffset != 0)
      if (yoffset > 0)
        yoffsetSign = " + "
      else
        yoffsetSign = " - ";
      endif
      if (isfield(Params,"yUnit"))
        wfmLabel = cstrcat("(", wfmLabel);
      endif
    endif
    if (ymult != 1)
      wfmLabel = cstrcat(num2str(ymult), " * ", wfmLabel);
    endif
    if (yoffset != 0)
      wfmLabel = cstrcat(wfmLabel, yoffsetSign, num2str(abs(yoffset)));
      if (isfield(Params,"yUnit"))
        wfmLabel = cstrcat(wfmLabel, ")");
      endif
    endif
    if (isfield(Params,"yUnit"))
      wfmLabel = cstrcat(wfmLabel, " / ", Params.yUnit);
    endif
  else
    wfmLabel = label;
  endif
  fmt = "";
  if (strcmp(labels,"xl"))
    fmt = strcat(";", wfmLabel, ";");
  endif
  plot(OscRecord.Channels(ch).Values.x+toffset, ...
    ymult*OscRecord.Channels(ch).Values.y+yoffset, fmt);
  grid on;
  switch (labels)
    case "xy"
      if (isfield(Params,"xUnit"))
        xlabel(Params.xUnit);
      endif
      ylabel(wfmLabel);
    case "xl"
      if (isfield(Params,"xUnit"))
        xlabel(Params.xUnit);
      endif
  endswitch
endfunction
