function oscplotscreen(OscRecord,shouldUseOscZero=false)
  figure();
  hold on;
  for iChannel = [1:OscRecord.nChannels]
    Params = OscRecord.Channels(iChannel).Params;
    if (shouldUseOscZero)
      yShift = Params.yZero;
    else
      yShift = 0;
    endif
    wfmLabel = cstrcat(Params.label, " / ", num2str(Params.yScale), " ", Params.yUnit);
    if (shouldUseOscZero)
      if yShift >= 0
        wfmLabel = cstrcat(wfmLabel, " + ", num2str(yShift));
      else
        wfmLabel = cstrcat(wfmLabel, " - ", num2str(-yShift));
      endif
    endif
    fmt = strcat(";", wfmLabel, ";");
    plot(OscRecord.Channels(iChannel).Values.x, ...
      OscRecord.Channels(iChannel).Values.y / Params.yScale + yShift, fmt);
  endfor
  if (shouldUseOscZero)
    ylim([-5 5]);
    hax = gca();
    set(hax, "ytick", [-5:1:5]);
  endif
  grid on;
  xlabel(Params.xUnit);
endfunction
